#include<iostream>
#include<vector>
#include<fstream>

int main()
{
    std::vector<int> karte;
    int br_karata,
        poznata_karta,
        izvucena_karta,
        temp;
    

    std::cin >> br_karata >> poznata_karta;
    for(int i = 0; i < br_karata; i++)
    {
        std::cin >> temp;
        karte.push_back(temp);
    }

    int indeks_izvucene;
    for(int i = 0; i < br_karata; i++)
    {
        if(karte[i] == poznata_karta)
            indeks_izvucene = i+1;
    }
    if(indeks_izvucene == br_karata)
        indeks_izvucene = 0;

    std::cout << karte[indeks_izvucene];
}